Currently Exile: Battle Royale is supported on Android 4.4.4 and newer. We strive to support as many devices as possible for the game. That said, due to the sheer number of Android phones on the market, there may be some phones that are not supported. If you’re unsure whether your device is supported, or if you experience any issues, please contact our Customer Support team, and they’ll be more than happy to assist you.